Package Details: tn5250 0.17.4-7

Git Clone URL: https://aur.archlinux.org/tn5250.git (read-only)
Package Base: tn5250
Description: A 5250 terminal emulator for IBM iSeries and AS400
Upstream URL: http://tn5250.sourceforge.net/
Licenses: LGPL2.1
Submitter: None
Maintainer: Muflone
Last Packager: Muflone
Votes: 3
Popularity: 0.000000
First Submitted: 2010-02-23 22:37
Last Updated: 2016-07-10 15:14

Latest Comments

OJaksch commented on 2017-10-23 09:41

Broken again:
configure: error: ** Unable to find OpenSSL libraries!

Muflone commented on 2016-07-12 21:26

Oh well.. now it's turn of the source package. Its checksum doesn't match again.

Using both makepkg and yaourt I've the same valid checksum for the patch file.

EDIT: the sourceforge website is under maintenance. No wrong checksums at all

Muflone commented on 2016-07-12 21:15

I'm sorry but I've double checked the patch checksum and here matches.
Later I've updated two Arch Linux installation and both were fine with this PKGBUILD.

What AUR helper are you using?

OJaksch commented on 2016-07-12 04:21

@scattbrain / @Muflone
Same here. Original patch and downloaded one are same - except an inserted empty line at top, so checksum differs. Your posted checksum is correct for that case.

(Is that a general behaviour with aur-helpers? I mean, running makepkg manually works correct, with yaourt/bauerbill there's an empty line at top of the patch.)

scattbrain commented on 2016-07-11 17:56

Hi,
the hash of the patch seems wrong in PKGBUILD.
The right one is 331cfa8a3fbb2e00fff67d2f465b26f7ba396373df5e9f957514c2845566a6ae

Muflone commented on 2016-07-10 15:19

@OJaksch
patch applied and package updated, thanks

OJaksch commented on 2016-06-20 04:34

...and I'm getting this when building:
../lib5250/.libs/lib5250.so: undefined reference to `SSLv3_client_method'

Patch seems to be available:
http://cvsweb.openbsd.org/cgi-bin/cvsweb/~checkout~/ports/net/tn5250/patches/patch-lib5250_sslstream_c?rev=1.1&content-type=text/plain

edit: Patch works.

Muflone commented on 2015-10-18 23:17

There's no need to symlink anything, just rebuild the package again with no changes to link against libncursesw v6

romainhk commented on 2015-10-07 09:28

"error while loading shared libraries"
I've got this message when trying to using tn5202. In fact, tn5250 depends on libncursesw.so 5 and arch is now shipped with 6. I successfully workaround that by simply symlinking in wait of an update :
ln -s /usr/lib/libncursesw.so /usr/lib/libncursesw.so.5
ln -s /usr/lib/libncursesw.so /usr/lib/libncursesw.so.5.0
ln -s /usr/lib32/libncursesw.so /usr/lib32/libncursesw.so.5
ln -s /usr/lib32/libncursesw.so /usr/lib32/libncursesw.so.5.0

Muflone commented on 2013-06-11 22:33

Package updated with fixes suggested by @scattbrain

All comments